﻿using System;
using System.Windows;

namespace RibbonCommands
{
  /// <summary>
  /// Interaction logic for DefaultWindow.xaml
  /// </summary>
  public partial class DefaultWindow : Window
  {
    private static int windowCounter = 0;

    private readonly int counter = ++windowCounter;

    public DefaultWindow()
    {
      InitializeComponent();
    }

    ~DefaultWindow()
    {
      string msg = "Finalizing DEFAULT window {0} of {1}.";
      msg = String.Format(msg, counter, windowCounter);

      MessageBox.Show(msg);
      Console.Out.WriteLine(msg);
    }

    private void OnCommandEvent(object sender, System.Windows.Input.ExecutedRoutedEventArgs e)
    {
      MessageBox.Show("Menu command triggered.");
    }
  }
}