﻿using System;
using System.Windows;
using Microsoft.Windows.Controls.Ribbon;

namespace RibbonCommands
{
  /// <summary>
  /// Interaction logic for RibbonWindow.xaml
  /// </summary>
  public partial class DisposableRibbonWindow : RibbonWindow
  {
    private static int windowCounter = 0;

    private readonly int counter = windowCounter++;

    public DisposableRibbonWindow()
    {
      InitializeComponent();
    }

    ~DisposableRibbonWindow()
    {
      string msg = "Finalizing DISPOSABLE RIBBON window {0} of {1}.";
      msg = String.Format(msg, counter, windowCounter);

      MessageBox.Show(msg);
      Console.Out.WriteLine(msg);
    }
  }
}