﻿using System;
using System.Windows;

namespace RibbonCommands
{
  /// <summary>
  /// Interaction logic for Window1.xaml
  /// </summary>
  public partial class Window1 : Window
  {
    public Window1()
    {
      InitializeComponent();
    }


    //create a window without a ribbon at all - GC works
    private void CreateDefaultWindow(object sender, RoutedEventArgs e)
    {
      DefaultWindow w = new DefaultWindow();
      w.Show();
    }

    //create window with ribbon and standard commands - GC will fail
    private void CreateUndisposableRibbonWindow(object sender, RoutedEventArgs e)
    {
      StandardRibbonWindow w = new StandardRibbonWindow();
      w.Show();
    }

    //create window with ribbon and custom commands - GC works again
    private void CreateDisposableRibbonWindow(object sender, RoutedEventArgs e)
    {
      DisposableRibbonWindow w = new DisposableRibbonWindow();
      w.Show();
    }


    //force garbage collection
    private void RunGC(object sender, RoutedEventArgs e)
    {
      GC.Collect();
      GC.WaitForPendingFinalizers();
    }
  }
}